unordered_map File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_UNORDERED_MAP

## Typedefs

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_map
template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multimap

## Functions

template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_map< _Key, _Tp, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_map< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Tp, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_multimap< _Key, _Tp, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_multimap< _Key, _Tp, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_map.

## Macro Definition Documentation

## _GLIBCXX_UNORDERED_MAP

#define _GLIBCXX_UNORDERED_MAP

Definition at line 30 of file unordered_map.

## Typedef Documentation

## unordered_map

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_map

Definition at line 64 of file unordered_map.

## unordered_multimap

template<typename _Key, typename _Tp, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multimap

Definition at line 68 of file unordered_map.